# PayPal SDK API NCP REST 2.0 PayPal SDK API **Version:** 1.1.0 ## Servers - `https://api-sandbox.nuvei.com/paypal-sdk` — sandbox - `https://api.nuvei.com/paypal-sdk` — prod ## Tags - **Venmo** ## Security Schemes ### bearerAuth - Type: `http` - Scheme: `bearer` - Bearer Format: `JWT` ### apiKeyAuth - Type: `apiKey` - In: `header` - Header/Param Name: `X-API-KEY` ## Paths ### `/entities/{entity-id}/venmo/merchant-info` #### GET **Summary:** Returns the Merchant Info to be used with Venmo SDK **Operation ID:** `getVenmoMerchantInfo` **Tags:** Venmo **Security:** bearerAuth OR apiKeyAuth **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | EntityId | Yes | `entityId` provided by Nuvei. | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `VenmoMerchantInfoResponse` - **merchantInfo** — (`MerchantInfo`) — _object_ - **merchantId** — (`VenmoMerchantId`) — _string_ — **required** - **clientId** — (`VenmoClientId`) — _string_ — **required** - **intent** — (`VenmoIntent`) — _string_ — enum: `authorize`, `capture` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `BaseApiResponse` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `BaseApiResponse` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `BaseApiResponse` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not found - Content-Type: `application/json` **Schema:** `BaseApiResponse` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `BaseApiResponse` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting